<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::create('cooperation_payments', function (Blueprint $table) {
            $table->id();
            $table->foreignId('cooperation_media_id')->constrained('cooperation_media')->cascadeOnDelete();
            $table->unsignedInteger('amount')->index();
            $table->text('description')->nullable();
            $table->date('payment_date')->useCurrent()->index();
            $table->timestamp('created_at')->useCurrent();
            $table->timestamp('updated_at')->nullable()->useCurrentOnUpdate();
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('cooperation_payments');
    }
};
